////////////////////////////////////////////////////////////////////////////////
//
// File: graphics.h
//
// Description: This file contains graphics-related functions for the
//              robot competition.
//
// Author: Capt. Mike LeSauvage
//
// Revision History: 6 Mar 2006 - Created
//
////////////////////////////////////////////////////////////////////////////////
#include "variable.h"

void InitGraphics();
void DeInitGraphics();
void RenderScene(t_LL listOfRobots, t_LL listOfDeadRobots, t_LL listOfWeapons,
		char *message);
void DrawSensorBitmaps(t_LL listOfRobots);
void DrawRobotBitmaps(t_LL listOfRobots);
void DrawWeaponBitmap(WEAPON *weapon);
void ClearRobotGraphics(ROBOT *robot);
void Get_RGB(ROBOTCOLORS robot_color, int* red, int* green, int* blue);
void _ffill(ALLEGRO_BITMAP *bmp, int x, int y, ALLEGRO_COLOR fillcolor, ALLEGRO_COLOR old);
void floodfill(ALLEGRO_BITMAP *bmp, int x, int y, ALLEGRO_COLOR fillcolor);
void loadShield(t_LL listOfRobots);
void loadRadar(t_LL listOfRobots);
void clearBitmap(ALLEGRO_BITMAP *bitmap);
